Skip to main content
GET
List OAuth Grants

Authorizations

Authorization
string
header
required

Only available to a signed-in whop.com session. API keys, access tokens, and OAuth tokens are not accepted.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-29"

Query Parameters

app_id
string

Only return grants for this app, prefixed app_. An app the user has never authorized returns an empty list.

first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

order
enum<string>
default:created_at

The field to sort grants by.

Available options:
created_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

oauth grants listed

data
object[]
required
page_info
object
required